Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 0f7ffe77d9333b4c1f491534cd62859d247be023)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
@@ -54,5 +54,5 @@
 #include "LinearAlgebra/Vector.hpp"
 #include "UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.hpp"
-#include "UIElements/Views/Qt4/QtInstanceInformationBoard.hpp"
+#include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
 #include "World.hpp"
 #include "WorldTime.hpp"
@@ -95,5 +95,5 @@
     QObject *parent,
     const atomId_t _id,
-    QtInstanceInformationBoard * _board,
+    QtObservedInstanceBoard * _board,
     std::vector<boost::any> _ObservedValues) :
   GLMoleculeObject(mesh, parent),
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp	(revision 0f7ffe77d9333b4c1f491534cd62859d247be023)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
@@ -29,5 +29,5 @@
 
 class GLWorldScene;
-class QtInstanceInformationBoard;
+class QtObservedInstanceBoard;
 
 class GLMoleculeObject_atom : public GLMoleculeObject, Observer
@@ -39,5 +39,5 @@
       QObject *parent,
       const atomId_t id,
-      QtInstanceInformationBoard * _board,
+      QtObservedInstanceBoard * _board,
       std::vector<boost::any> _ObservedValues
       );
@@ -104,5 +104,5 @@
 
 private:
-  friend class QtInstanceInformationBoard;
+  friend class QtObservedInstanceBoard;
   /** Observed Values **/
 
@@ -189,5 +189,5 @@
   unsigned int signedOnChannels;
 
-  QtInstanceInformationBoard * board;
+  QtObservedInstanceBoard * board;
 };
 
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision 0f7ffe77d9333b4c1f491534cd62859d247be023)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
@@ -55,5 +55,5 @@
 #include "LinearAlgebra/Line.hpp"
 #include "LinearAlgebra/Vector.hpp"
-#include "UIElements/Views/Qt4/QtInstanceInformationBoard.hpp"
+#include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
 #include "World.hpp"
 
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 0f7ffe77d9333b4c1f491534cd62859d247be023)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
@@ -62,5 +62,5 @@
 #include "Tesselation/BoundaryTriangleSet.hpp"
 #include "Tesselation/CandidateForTesselation.hpp"
-#include "UIElements/Views/Qt4/QtInstanceInformationBoard.hpp"
+#include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
 #include "Atom/TesselPoint.hpp"
 #include "World.hpp"
@@ -105,5 +105,5 @@
     QObject *parent,
     const moleculeId_t _molid,
-    QtInstanceInformationBoard * _board,
+    QtObservedInstanceBoard * _board,
     std::vector<boost::any> _ObservedValues) :
   GLMoleculeObject((QGLSceneNode *)NULL, parent),
@@ -137,5 +137,5 @@
     QObject *parent,
     const moleculeId_t _molid,
-    QtInstanceInformationBoard * _board,
+    QtObservedInstanceBoard * _board,
     std::vector<boost::any> _ObservedValues) :
   GLMoleculeObject(mesh, parent),
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.hpp	(revision 0f7ffe77d9333b4c1f491534cd62859d247be023)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.hpp	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
@@ -34,5 +34,5 @@
 class GLMoleculeObject_atom;
 class GLWorldScene;
-class QtInstanceInformationBoard;
+class QtObservedInstanceBoard;
 
 class GLMoleculeObject_molecule : public GLMoleculeObject, public Observer
@@ -43,5 +43,5 @@
       QObject *parent,
       const moleculeId_t molid,
-      QtInstanceInformationBoard * _board,
+      QtObservedInstanceBoard * _board,
       std::vector<boost::any> _ObservedValues);
   GLMoleculeObject_molecule(
@@ -49,5 +49,5 @@
       QObject *parent,
       const moleculeId_t molid,
-      QtInstanceInformationBoard * _board,
+      QtObservedInstanceBoard * _board,
       std::vector<boost::any> _ObservedValues);
   virtual ~GLMoleculeObject_molecule();
@@ -155,5 +155,5 @@
 
 private:
-  friend class QtInstanceInformationBoard;
+  friend class QtObservedInstanceBoard;
   /** Observed Values **/
 
@@ -235,5 +235,5 @@
   unsigned int signedOnChannels;
 
-  QtInstanceInformationBoard * board;
+  QtObservedInstanceBoard * board;
 };
 
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision 0f7ffe77d9333b4c1f491534cd62859d247be023)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
@@ -49,5 +49,5 @@
 #include "UIElements/Views/Qt4/Qt3D/GLMoleculeObject_shape.hpp"
 
-#include "UIElements/Views/Qt4/QtInstanceInformationBoard.hpp"
+#include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
 #include "UIElements/Views/Qt4/QtSelectionChangedAgent.hpp"
 
@@ -74,5 +74,5 @@
 
 GLWorldScene::GLWorldScene(
-    QtInstanceInformationBoard * _board,
+    QtObservedInstanceBoard * _board,
     QObject *parent) :
   QObject(parent),
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldScene.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldScene.hpp	(revision 0f7ffe77d9333b4c1f491534cd62859d247be023)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldScene.hpp	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
@@ -41,5 +41,5 @@
 class QtSelectionChangedAgent;
 
-class QtInstanceInformationBoard;
+class QtObservedInstanceBoard;
 
 /** This class contains a list of all molecules in the world.
@@ -51,5 +51,5 @@
 public:
   GLWorldScene(
-      QtInstanceInformationBoard * _board,
+      QtObservedInstanceBoard * _board,
       QObject *parent=0);
   virtual ~GLWorldScene();
@@ -139,5 +139,5 @@
   SelectionModeType selectionMode;
 
-  QtInstanceInformationBoard * board;
+  QtObservedInstanceBoard * board;
 };
 
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 0f7ffe77d9333b4c1f491534cd62859d247be023)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
@@ -66,5 +66,5 @@
 
 GLWorldView::GLWorldView(
-    QtInstanceInformationBoard * _board,
+    QtObservedInstanceBoard * _board,
     QWidget *parent) :
   QGLView(parent),
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.hpp	(revision 0f7ffe77d9333b4c1f491534cd62859d247be023)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.hpp	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
@@ -28,5 +28,5 @@
 class QtSelectionChangedAgent;
 
-class QtInstanceInformationBoard;
+class QtObservedInstanceBoard;
 
 /** This class is the view on the 3D representation of the World, i.e. the whole
@@ -39,5 +39,5 @@
 public:
   GLWorldView(
-      QtInstanceInformationBoard * _board,
+      QtObservedInstanceBoard * _board,
       QWidget *parent=0);
   virtual ~GLWorldView();
